@args articles: Zmpl.Array, allowed: bool

<html>
  <head>
    <script src="https://unpkg.com/htmx.org@1.9.10"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://cdn.tailwindcss.com"></script>
    <link rel="stylesheet" href="/styles.css" />
    <title> {{.title}} </title
  </head>

  <body>
  <div class="mx-auto max-w-3xl mt-sm">
        <h1 class="text-3xl font-bold mb-4">Hello, I like doing things.</h1>
        <p class="text-lg mb-6">I created this website using Jetzig in order to store things I do.</p>

        <div class="mb-8">
            <a href="/blogs" class="text-blue-500 hover:underline">Blog</a>
						@if ($.allowed)
							<a href="/logout" class="text-blue-500 hover:underline ml-4">Logout</a>
						@else
            	<a href="/login" class="text-blue-500 hover:underline ml-4">Login</a>
						@end
            <a href="#" class="text-blue-500 hover:underline ml-4">Gitea instance</a>
            <a href="#" class="text-blue-500 hover:underline ml-4">IRC</a>
            <a href="#" class="text-blue-500 hover:underline ml-4">Tor url</a>
            <a href="#" class="text-blue-500 hover:underline ml-4">RSS feed</a>
            <a href="mailto:me@yuzucchii.xyz" class="text-blue-500 hover:underline ml-4">E-mail</a>
						<button
							id="copy-button"
							type="button"
							onclick="navigator.clipboard.writeText('mc.yuzucchii.xyz'); showCopiedMessage();"
							class="js-only text-blue-500 hover:underline ml-4 bg-transparent p-0 border-none cursor-pointer"
						>
							Minecraft server
						</button>
						<span id="copy-msg" class="js-only hidden text-green-600 ml-2 hidden">Copied!</span>

						<script>
							const msg = document.getElementById('copy-msg');
							msg.classList.remove('js-only');
							const button = document.getElementById('copy-button');
							button.classList.remove('js-only')
						</script>
						<noscript>
							<p class="text-red-500 ml-4">Minecraft server: mc.yuzucchii.xyz</p>
							<hr/>
							<p class="text-red-500 ml-4">This site works without JavaScript enabled, enjoy your experience</p>
						</noscript>

        </div>

        @for (.articles) |article| {
            @partial root/article_blob(title: article.title, blob: article.content)
        }
    </div>
  </body>

<script>
	function showCopiedMessage() {
		const msg = document.getElementById('copy-msg');
		msg.classList.remove('hidden');
		setTimeout(() => msg.classList.add('hidden'), 2000);
	}
</script>
</html>
